Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query
Class FunctionInliner

    java.lang.Object
      org.makumba.providers.query.FunctionInliner

    public class FunctionInliner

extends Object

Inliner for query functions.

Version:
  $Id: FunctionInliner.java,v 1.1 Jul 7, 2008 5:11:53 PM cristi Exp $
Author:
  Cristian Bogdan

Field Summary
`static Pattern` | `actor`
`static Pattern` | `functionBegin`
`static String` | `NAME`
`static String` | `PATTERN_ACTOR`
`static String` | `PATTERN_FUNCTION_CALL_BEGIN`

Method Summary
`static String` | `inline(String expr, QueryAnalysisProvider qp)` Inline query functions in a query using the given query provider
`(package private) static String` | `inline(String expr, QueryAnalysisProvider qp, QuerySectionProcessor qsp)` Inline query functions in a query using the given query provider
`static void` | `main(String[] args)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static String NAME

### PATTERN_FUNCTION_CALL_BEGIN

    public static final String PATTERN_FUNCTION_CALL_BEGIN

### PATTERN_ACTOR

    public static final String PATTERN_ACTOR

### functionBegin

    public static final Pattern functionBegin

### actor

    public static final Pattern actor

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### inline

    public static String inline(String expr,
                                QueryAnalysisProvider qp)

  Inline query functions in a query using the given query provider

  Parameters:
    `expression` - the expression
    `qp` - the query provider
  Returns:
    the query with inlined query functions

### inline

    static String inline(String expr,
                         QueryAnalysisProvider qp,
                         QuerySectionProcessor qsp)

  Inline query functions in a query using the given query provider

  Parameters:
    `expression` - the expression
    `qp` - the query provider
  Returns:
    the query with inlined query functions

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20